alt-php84 (8.4.22-7) stable; urgency=low

  * ALTPHP-2485: fix alt-phpXY-fpm failing to start on non-panel hosts. The default www.conf pool now listens on a per-version unix socket (/var/run/alt-phpXY-fpm.sock) instead of the shared 127.0.0.1:9000, so multiple alt-php FPM services no longer collide on the same TCP port. On Debian-like distros the pool group is set to nogroup (no nobody group). Ship an empty _.conf in the /opt/cpanel php-fpm.d dir so its include glob matches on non-cPanel hosts (suppresses the "Nothing matches" warning).

 -- Sergey Fokin <sfokin@cloudlinux.com>  Tue, 30 Jun 2026 12:00:00 +0200

alt-php84 (8.4.22-6) stable; urgency=low

  * ALTPHP-2352: add php.d.std scan directory for standalone environments

 -- Sergey Fokin <sfokin@cloudlinux.com>  Sun, 21 Jun 2026 12:00:00 +0200

alt-php84 (8.4.22-5) stable; urgency=low

  * ALTPHP-2476: allow libpcre2 for build, guard libpcre3 runtime dep on
    Debian >= 13 / Ubuntu >= 26 where the libpcre3 packages were removed.

 -- Sergey Fokin <sfokin@cloudlinux.com>  Tue, 16 Jun 2026 12:00:00 +0000

alt-php84 (8.4.22-4) stable; urgency=low

  * CLOS-4642: LSWS site-isolation - normalize trailing slash in docroot hash

 -- Sandro Kalatozishvili <skalatozishvili@cloudlinux.com>  Thu, 18 Jun 2026 13:47:08 +0000

alt-php84 (8.4.22-3) stable; urgency=low

  * ALTPHP-2474: Rename www.conf.default to www.conf so FPM starts by default

 -- Sergey Fokin <sfokin@cloudlinux.com>  Thu, 12 Jun 2026 10:00:00 +0000

alt-php84 (8.4.22-2) stable; urgency=low

  * CLOS-4506: Fix lsphp site-isolation ctor overwriting per-vhost DOCUMENT_ROOT
  * ALTPHP-2448: Gate postun per-user PHP Selector reset on Elevate upgrade markers

 -- Sergey Fokin <sfokin@cloudlinux.com>  Thu, 05 Jun 2026 10:00:00 +0000

alt-php84 (8.4.22-1) stable; urgency=medium

  * ALTPHP-2458: Update to 8.4.22 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Wed, 03 Jun 2026 02:22:53 -0400

alt-php84 (8.4.21-4) stable; urgency=medium

  * ALTPHP-2406: use alt-libicu71 for all OS

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Thu, 28 May 2026 15:00:00 +0200

alt-php84 (8.4.21-3) stable; urgency=medium

  * EA4D-825: rename alt-phpXY-fpm -> alt-phpXY-php-fpm

 -- Sergey Fokin <sfokin@cloudlinux.com>  Sat, 17 May 2026 12:00:00 +0200

alt-php84 (8.4.21-2) stable; urgency=medium

  * CLOS-4167: per-domain CageFS site-isolation support in lsphp

 -- Sergey Fokin <sfokin@cloudlinux.com>  Sat, 09 May 2026 15:14:15 +0200

alt-php84 (8.4.21-1) stable; urgency=medium

  * ALTPHP-2414: Update to 8.4.21 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Wed, 06 May 2026 08:10:00 +0000

alt-php84 (8.4.20-4) stable; urgency=medium

  * ALTPHP-2310: enable sodium extension build for Debian platforms.

 -- Levon Matshkalyan <lmatshkalyan@cloudlinux.com>  Mon, 20 Apr 2026 12:00:00 +0400

alt-php84 (8.4.20-3) stable; urgency=medium
  * EA4D-782: Fix Ubuntu 26.04 runtime dependency issues

 -- Nikolai Mardanov <nmardanov@cloudlinux.com>  Tue, 15 Apr 2026 12:00:00 +0000

alt-php84 (8.4.20-2) stable; urgency=medium

  * ALTPHP-2289: Update LiteSpeed SAPI to version 8.3

 -- Levon Matshkalyan <lmatshkalyan@cloudlinux.com>  Wed, 09 Apr 2026 12:00:00 +0200


alt-php84 (8.4.20-1) stable; urgency=medium

  * ALTPHP-2388: Update to 8.4.20 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Wed, 09 Apr 2026 12:00:00 +0200

alt-php84 (8.4.19-3) stable; urgency=medium

  * ALTPHP-2364: fix hardcoded x86_64 OpenSSL lib path in debian/rules
    for arm64 support
  * ALTPHP-2364: guard x86-only avx512 CFLAGS with arch check for arm64

 -- Levon Matshkalyan <lmatshkalyan@cloudlinux.com>  Fri, 27 Mar 2026 12:00:00 +0400

alt-php84 (8.4.19-2) stable; urgency=medium

  * Update php-fpm patch to v4 for per-domain resource isolation support

 -- Razmik Manvelyan <rmanvelyan@cloudlinux.com>  Tue, 17 Mar 2026 00:00:00 +0000

alt-php84 (8.4.19-1) stable; urgency=medium

  * ALTPHP-2365: Update to 8.4.19 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Tue, 10 Mar 2026 14:22:57 -0400

alt-php84 (8.4.18-2) stable; urgency=medium

  * ALTPHP-2341: Update php-fpm lve patch to extract doc_root from
    php_admin_values for CageFS per-domain isolation

 -- Arseniy Zolotarev <azolotarev@cloudlinux.com>  Mon, 23 Feb 2026 00:00:00 +0000

alt-php84 (8.4.18-1) stable; urgency=medium

  * Update to 8.4.18 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Tue, 10 Feb 2026 13:23:07 -0500

alt-php84 (8.4.17-2) stable; urgency=medium

  * EA4D-739: Make FPM config compatible with CPanel

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Wed, 28 Jan 2026 17:00:00 +0200

alt-php84 (8.4.17-1) stable; urgency=medium

  * ALTPHP-2280: Update to 8.4.17 version
  * add lve support for fpm handler

 -- Sergey Fokin <sfokin@cloudlinux.com>  Fri, 16 Jan 2026 16:10:00 +0100

alt-php84 (8.4.16-1) stable; urgency=medium

  * ALTPHP-2265: update to 8.4.16.

 -- Levon Matshkalyan <lmatshkalyan@cloudlinux.com>  Tue, 23 Dec 2025 19:15:00 +0400

alt-php84 (8.4.15-1) stable; urgency=medium

  * ALTPHP-2238: update to 8.4.15

 -- Sergey Fokin <sfokin@cloudlinux.com>  Thu, 20 Nov 2025 17:44:00 +0100

alt-php84 (8.4.14-1.3) stable; urgency=medium

  * change displayname plesk handlers to "X.Y.Z (Secured)"

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 05 Nov 2025 21:19:00 +0100

alt-php84 (8.4.14-1.2) stable; urgency=medium

  * ALTPHP-2216: change displayname for plesk's handlers

 -- Sergey Fokin <sfokin@cloudlinux.com>  Fri, 31 Oct 2025 11:27:00 +0100

alt-php84 (8.4.14-1.1) stable; urgency=medium

  * ALTPHP-2208: Build for Debian 13

 -- Lizi Ekseulidze <lekseulidze@cloudlinux.com>  Fri, 24 Oct 2025 13:41:00 +0400

alt-php84 (8.4.14-1) stable; urgency=medium

  * EA4D-705: update to 8.4.14

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 22 Oct 2025 16:17:00 +0200

alt-php84 (8.4.13-1) stable; urgency=medium

  * update to 8.4.13

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 24 Sep 2025 12:29:00 +0200

alt-php84 (8.4.12-6) stable; urgency=medium

  * ALTPHP-2172: Remove duplicated lines in php-fpm.conf

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Tue, 23 Sep 2025 17:00:00 +0200

alt-php84 (8.4.12-5) stable; urgency=medium

  * ALTPHP-2135: Enable PCRE JIT by default

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Fri, 19 Sep 2025 15:00:00 +0200

alt-php84 (8.4.12-4) stable; urgency=medium

  * ALTPHP-2168: Add includes to php-fpm.conf
  * ALTPHP-2168: Make the paths in php-fpm.conf and logrotate even

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Mon, 15 Sep 2025 20:00:00 +0200

alt-php84 (8.4.12-3) stable; urgency=medium

  * ALTPHP-2150: Support mod_php on Debian-based systems

 -- Eduard Chiganov <echiganov@cloudlinux.com>  Tue, 09 Sep 2025 16:20:00 +0200

alt-php84 (8.4.12-2.1) stable; urgency=medium

  * ALTPHP-2143: Fix mysql socket path

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Mon, 08 Sep 2025 20:00:00 +0200

alt-php84 (8.4.12-2) stable; urgency=medium

  * ALTPHP-2132: update plesk's handler conf file
  * ALTPHP-2131: leave only one php.fpm config
  * EA4D-687: set error_log env in php.ini
  * ALTPHP-2080: Refactor debian spec

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 03 Sep 2025 15:02:00 +0200

alt-php84 (8.4.12-1) stable; urgency=medium

  * update to 8.4.12

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 27 Aug 2025 20:04:00 +0100

alt-php84 (8.4.11-2) stable; urgency=medium

  * ALTPHP-2080: Use system OpenSSL for U24&D12; Refactor debian spec

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Fri, 1 Aug 2025 17:00:00 +0200

alt-php84 (8.4.11-1) stable; urgency=medium

  * ALTPHP-2136: update to 8.4.11

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 30 Jul 2025 11:38:00 +0100

alt-php84 (8.4.10-1) stable; urgency=medium

  * ALTPHP-2097: update to 8.4.10.
  * Added built-in libtidy

 -- Eduard Chiganov <echiganov@cloudlinux.com>  Wed, 02 Jul 2025 15:20:00 +0100

alt-php84 (8.4.8-2) stable; urgency=medium

  * ALTPHP-2049: Change method of creating php_handlers for plesk.

 -- Eduard Chiganov <echiganov@cloudlinux.com>  Thu, 05 Jun 2025 15:20:00 +0100

alt-php84 (8.4.8-1) stable; urgency=medium

  * ALTPHP-2076: update to 8.4.8
  * ALTPHP-2067: stop to modify default.ini config

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 04 Jun 2025 17:24:00 +0200

alt-php84 (8.4.7-1) stable; urgency=medium

  * ALTPHP-2056: update to 8.4.7

 -- Sergey Fokin <sfokin@cloudlinux.com>  Thu, 08 May 2025 11:11:00 +0200

alt-php84 (8.4.6-1) stable; urgency=medium

  * ALTPHP-2040: update to 8.4.6

 -- Eduard Chiganov <echiganov@cloudlinux.com>  Wed, 09 Dec 2025 14:20:00 +0200

alt-php84 (8.4.5-2) stable; urgency=medium

  * ALTPHP-2031: write ioncube ext at the beginning of the default.ini conf

 -- Sergey Fokin <sfokin@cloudlinux.com>  Mon, 31 Mar 2025 17:34:00 +0200

alt-php84 (8.4.5-1) stable; urgency=medium

  * ALTPHP-2022: update to 8.4.5

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 12 Mar 2025 11:56:00 +0100

alt-php84 (8.4.4-2) stable; urgency=medium

  * ALTPHP-1943: do not create dat file for lve if it is not cagefs
    environment

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 19 Feb 2025 16:49:00 +0100

alt-php84 (8.4.4-1) stable; urgency=medium

  * ALTPHP-1966: update to 8.4.4

 -- Sergey Fokin <sfokin@cloudlinux.com>  Thu, 13 Feb 2025 11:54:00 +0100

alt-php84 (8.4.3-1) stable; urgency=medium

  * ALTPHP-1931: Update to 8.4.3 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Wed, 15 Jan 2025 06:22:42 +0000

alt-php84 (8.4.2-1) stable; urgency=medium

  * ALTPHP-1918: update to 8.4.2

 -- Eduard Chiganov <echiganov@cloudlinux.com>  Wed, 18 Dec 2024 14:20:00 +0200

alt-php84 (8.4.1-1) stable; urgency=medium

  * ALTPHP-1899: update to 8.4.1

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 20 Nov 2024 13:28:00 +0100

alt-php84 (8.4.0-0.rc4) stable; urgency=medium

  * ALTPHP-1895: update to 8.4.0 RC4

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 06 Nov 2024 14:31:00 +0100

alt-php84 (8.4.0-0rc3) stable; urgency=medium

  * ALTPHP-1880: Updated to RC3.
  * ALTPHP-1860: Remove deprecated sid_length and sid_bits settings.
  * Disabled thread safety by default.

 -- Eduard Chiganov <echiganov@cloudlinux.com>  Fri, 11 Oct 2024 15:20:00 +0100

alt-php84 (8.4.0-0rc2) stable; urgency=medium

  * ALTPHP-1824: Initial build

 -- Eduard Chiganov <echiganov@cloudlinux.com>  Mon, 19 Aug 2024 15:20:00 +0100
